from attrs import field, define
from attrs.validators import instance_of
from src.data_classes.parameters_visualization import PlotParameters


@define
class GroupedHistogramParameters(PlotParameters):
    group_by: str = field(validator=instance_of(str))
    aggregation_variable: str = field(validator=instance_of(str))
    aggregation_function: str = field(validator=instance_of(str))
